/* gpaste-settings.c generated by valac 0.14.1, the Vala compiler
 * generated from gpaste-settings.vala, do not modify */

/*
 *      This file is part of GPaste.
 *
 *      Copyright 2011 Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
 *
 *      GPaste is free software: you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation, either version 3 of the License, or
 *      (at your option) any later version.
 *
 *      GPaste is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with GPaste.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <glib/gi18n-lib.h>
#include <float.h>
#include <math.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>
#include <config.h>
#include <stdio.h>


#define GPASTE_SETTINGS_TYPE_WINDOW (gpaste_settings_window_get_type ())
#define GPASTE_SETTINGS_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GPASTE_SETTINGS_TYPE_WINDOW, GPasteSettingsWindow))
#define GPASTE_SETTINGS_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GPASTE_SETTINGS_TYPE_WINDOW, GPasteSettingsWindowClass))
#define GPASTE_SETTINGS_IS_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GPASTE_SETTINGS_TYPE_WINDOW))
#define GPASTE_SETTINGS_IS_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GPASTE_SETTINGS_TYPE_WINDOW))
#define GPASTE_SETTINGS_WINDOW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GPASTE_SETTINGS_TYPE_WINDOW, GPasteSettingsWindowClass))

typedef struct _GPasteSettingsWindow GPasteSettingsWindow;
typedef struct _GPasteSettingsWindowClass GPasteSettingsWindowClass;
typedef struct _GPasteSettingsWindowPrivate GPasteSettingsWindowPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

#define GPASTE_SETTINGS_TYPE_MAIN (gpaste_settings_main_get_type ())
#define GPASTE_SETTINGS_MAIN(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GPASTE_SETTINGS_TYPE_MAIN, GPasteSettingsMain))
#define GPASTE_SETTINGS_MAIN_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GPASTE_SETTINGS_TYPE_MAIN, GPasteSettingsMainClass))
#define GPASTE_SETTINGS_IS_MAIN(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GPASTE_SETTINGS_TYPE_MAIN))
#define GPASTE_SETTINGS_IS_MAIN_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GPASTE_SETTINGS_TYPE_MAIN))
#define GPASTE_SETTINGS_MAIN_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GPASTE_SETTINGS_TYPE_MAIN, GPasteSettingsMainClass))

typedef struct _GPasteSettingsMain GPasteSettingsMain;
typedef struct _GPasteSettingsMainClass GPasteSettingsMainClass;
typedef struct _Block1Data Block1Data;
#define _g_free0(var) (var = (g_free (var), NULL))
typedef struct _GPasteSettingsMainPrivate GPasteSettingsMainPrivate;
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_variant_unref0(var) ((var == NULL) ? NULL : (var = (g_variant_unref (var), NULL)))

struct _GPasteSettingsWindow {
	GtkWindow parent_instance;
	GPasteSettingsWindowPrivate * priv;
};

struct _GPasteSettingsWindowClass {
	GtkWindowClass parent_class;
};

struct _GPasteSettingsWindowPrivate {
	GtkCheckButton* primary_to_history_button;
	GtkCheckButton* synchronize_clipboards_button;
	GtkCheckButton* track_changes_button;
	GtkCheckButton* track_extension_state_button;
	GtkCheckButton* save_history_button;
	GtkCheckButton* trim_items_button;
	GtkSpinButton* max_history_size_button;
	GtkSpinButton* max_displayed_history_size_button;
	GtkSpinButton* element_size_button;
	GtkSpinButton* max_text_item_size_button;
	GtkSpinButton* min_text_item_size_button;
	GtkEntry* keyboard_shortcut_entry;
};

struct _Block1Data {
	int _ref_count_;
	GPasteSettingsWindow * self;
	GPasteSettingsMain* app;
};

struct _GPasteSettingsMain {
	GtkApplication parent_instance;
	GPasteSettingsMainPrivate * priv;
};

struct _GPasteSettingsMainClass {
	GtkApplicationClass parent_class;
};

struct _GPasteSettingsMainPrivate {
	GSettings* settings;
	GPasteSettingsWindow* window;
};


static gpointer gpaste_settings_window_parent_class = NULL;
static gpointer gpaste_settings_main_parent_class = NULL;

GType gpaste_settings_window_get_type (void) G_GNUC_CONST;
#define GPASTE_SETTINGS_WINDOW_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), GPASTE_SETTINGS_TYPE_WINDOW, GPasteSettingsWindowPrivate))
enum  {
	GPASTE_SETTINGS_WINDOW_DUMMY_PROPERTY,
	GPASTE_SETTINGS_WINDOW_PRIMARY_TO_HISTORY,
	GPASTE_SETTINGS_WINDOW_SYNCHRONIZE_CLIPBOARDS,
	GPASTE_SETTINGS_WINDOW_TRACK_CHANGES,
	GPASTE_SETTINGS_WINDOW_TRACK_EXTENSION_STATE,
	GPASTE_SETTINGS_WINDOW_SAVE_HISTORY,
	GPASTE_SETTINGS_WINDOW_TRIM_ITEMS,
	GPASTE_SETTINGS_WINDOW_MAX_HISTORY_SIZE,
	GPASTE_SETTINGS_WINDOW_MAX_DISPLAYED_HISTORY_SIZE,
	GPASTE_SETTINGS_WINDOW_ELEMENT_SIZE,
	GPASTE_SETTINGS_WINDOW_MIN_TEXT_ITEM_SIZE,
	GPASTE_SETTINGS_WINDOW_MAX_TEXT_ITEM_SIZE,
	GPASTE_SETTINGS_WINDOW_KEYBOARD_SHORTCUT
};
GPasteSettingsWindow* gpaste_settings_window_new (GtkApplication* app);
GPasteSettingsWindow* gpaste_settings_window_construct (GType object_type, GtkApplication* app);
static void gpaste_settings_window_fill (GPasteSettingsWindow* self);
GType gpaste_settings_main_get_type (void) G_GNUC_CONST;
static Block1Data* block1_data_ref (Block1Data* _data1_);
static void block1_data_unref (Block1Data* _data1_);
gboolean gpaste_settings_main_get_track_changes (GPasteSettingsMain* self);
void gpaste_settings_window_set_track_changes (GPasteSettingsWindow* self, gboolean value);
static void __lambda1_ (Block1Data* _data1_);
gboolean gpaste_settings_window_get_track_changes (GPasteSettingsWindow* self);
void gpaste_settings_main_set_track_changes (GPasteSettingsMain* self, gboolean value);
static void ___lambda1__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self);
gboolean gpaste_settings_main_get_track_extension_state (GPasteSettingsMain* self);
void gpaste_settings_window_set_track_extension_state (GPasteSettingsWindow* self, gboolean value);
static void __lambda2_ (Block1Data* _data1_);
gboolean gpaste_settings_window_get_track_extension_state (GPasteSettingsWindow* self);
void gpaste_settings_main_set_track_extension_state (GPasteSettingsMain* self, gboolean value);
static void ___lambda2__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self);
gboolean gpaste_settings_main_get_primary_to_history (GPasteSettingsMain* self);
void gpaste_settings_window_set_primary_to_history (GPasteSettingsWindow* self, gboolean value);
static void __lambda3_ (Block1Data* _data1_);
gboolean gpaste_settings_window_get_primary_to_history (GPasteSettingsWindow* self);
void gpaste_settings_main_set_primary_to_history (GPasteSettingsMain* self, gboolean value);
static void ___lambda3__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self);
gboolean gpaste_settings_main_get_synchronize_clipboards (GPasteSettingsMain* self);
void gpaste_settings_window_set_synchronize_clipboards (GPasteSettingsWindow* self, gboolean value);
static void __lambda4_ (Block1Data* _data1_);
gboolean gpaste_settings_window_get_synchronize_clipboards (GPasteSettingsWindow* self);
void gpaste_settings_main_set_synchronize_clipboards (GPasteSettingsMain* self, gboolean value);
static void ___lambda4__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self);
gboolean gpaste_settings_main_get_save_history (GPasteSettingsMain* self);
void gpaste_settings_window_set_save_history (GPasteSettingsWindow* self, gboolean value);
static void __lambda5_ (Block1Data* _data1_);
gboolean gpaste_settings_window_get_save_history (GPasteSettingsWindow* self);
void gpaste_settings_main_set_save_history (GPasteSettingsMain* self, gboolean value);
static void ___lambda5__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self);
gboolean gpaste_settings_main_get_trim_items (GPasteSettingsMain* self);
void gpaste_settings_window_set_trim_items (GPasteSettingsWindow* self, gboolean value);
static void __lambda6_ (Block1Data* _data1_);
gboolean gpaste_settings_window_get_trim_items (GPasteSettingsWindow* self);
void gpaste_settings_main_set_trim_items (GPasteSettingsMain* self, gboolean value);
static void ___lambda6__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self);
guint32 gpaste_settings_main_get_max_history_size (GPasteSettingsMain* self);
void gpaste_settings_window_set_max_history_size (GPasteSettingsWindow* self, guint32 value);
static void __lambda7_ (Block1Data* _data1_);
guint32 gpaste_settings_window_get_max_history_size (GPasteSettingsWindow* self);
void gpaste_settings_main_set_max_history_size (GPasteSettingsMain* self, guint32 value);
static void ___lambda7__gtk_adjustment_value_changed (GtkAdjustment* _sender, gpointer self);
guint32 gpaste_settings_main_get_max_displayed_history_size (GPasteSettingsMain* self);
void gpaste_settings_window_set_max_displayed_history_size (GPasteSettingsWindow* self, guint32 value);
static void __lambda8_ (Block1Data* _data1_);
guint32 gpaste_settings_window_get_max_displayed_history_size (GPasteSettingsWindow* self);
void gpaste_settings_main_set_max_displayed_history_size (GPasteSettingsMain* self, guint32 value);
static void ___lambda8__gtk_adjustment_value_changed (GtkAdjustment* _sender, gpointer self);
guint32 gpaste_settings_main_get_element_size (GPasteSettingsMain* self);
void gpaste_settings_window_set_element_size (GPasteSettingsWindow* self, guint32 value);
static void __lambda9_ (Block1Data* _data1_);
guint32 gpaste_settings_window_get_element_size (GPasteSettingsWindow* self);
void gpaste_settings_main_set_element_size (GPasteSettingsMain* self, guint32 value);
static void ___lambda9__gtk_adjustment_value_changed (GtkAdjustment* _sender, gpointer self);
guint32 gpaste_settings_main_get_min_text_item_size (GPasteSettingsMain* self);
void gpaste_settings_window_set_min_text_item_size (GPasteSettingsWindow* self, guint32 value);
static void __lambda10_ (Block1Data* _data1_);
guint32 gpaste_settings_window_get_min_text_item_size (GPasteSettingsWindow* self);
void gpaste_settings_main_set_min_text_item_size (GPasteSettingsMain* self, guint32 value);
static void ___lambda10__gtk_adjustment_value_changed (GtkAdjustment* _sender, gpointer self);
guint32 gpaste_settings_main_get_max_text_item_size (GPasteSettingsMain* self);
void gpaste_settings_window_set_max_text_item_size (GPasteSettingsWindow* self, guint32 value);
static void __lambda11_ (Block1Data* _data1_);
guint32 gpaste_settings_window_get_max_text_item_size (GPasteSettingsWindow* self);
void gpaste_settings_main_set_max_text_item_size (GPasteSettingsMain* self, guint32 value);
static void ___lambda11__gtk_adjustment_value_changed (GtkAdjustment* _sender, gpointer self);
gchar* gpaste_settings_main_get_keyboard_shortcut (GPasteSettingsMain* self);
void gpaste_settings_window_set_keyboard_shortcut (GPasteSettingsWindow* self, const gchar* value);
static void __lambda12_ (Block1Data* _data1_);
const gchar* gpaste_settings_window_get_keyboard_shortcut (GPasteSettingsWindow* self);
void gpaste_settings_main_set_keyboard_shortcut (GPasteSettingsMain* self, const gchar* value);
static void ___lambda12__gtk_editable_changed (GtkEditable* _sender, gpointer self);
static void gpaste_settings_window_finalize (GObject* obj);
static void _vala_gpaste_settings_window_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_gpaste_settings_window_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);
#define GPASTE_SETTINGS_MAIN_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), GPASTE_SETTINGS_TYPE_MAIN, GPasteSettingsMainPrivate))
enum  {
	GPASTE_SETTINGS_MAIN_DUMMY_PROPERTY,
	GPASTE_SETTINGS_MAIN_MAX_HISTORY_SIZE,
	GPASTE_SETTINGS_MAIN_MAX_DISPLAYED_HISTORY_SIZE,
	GPASTE_SETTINGS_MAIN_ELEMENT_SIZE,
	GPASTE_SETTINGS_MAIN_PRIMARY_TO_HISTORY,
	GPASTE_SETTINGS_MAIN_SYNCHRONIZE_CLIPBOARDS,
	GPASTE_SETTINGS_MAIN_TRACK_CHANGES,
	GPASTE_SETTINGS_MAIN_TRACK_EXTENSION_STATE,
	GPASTE_SETTINGS_MAIN_SAVE_HISTORY,
	GPASTE_SETTINGS_MAIN_TRIM_ITEMS,
	GPASTE_SETTINGS_MAIN_MIN_TEXT_ITEM_SIZE,
	GPASTE_SETTINGS_MAIN_MAX_TEXT_ITEM_SIZE,
	GPASTE_SETTINGS_MAIN_KEYBOARD_SHORTCUT
};
GPasteSettingsMain* gpaste_settings_main_new (void);
GPasteSettingsMain* gpaste_settings_main_construct (GType object_type);
static void gpaste_settings_main_init (GPasteSettingsMain* self);
static void _gpaste_settings_main_init_g_application_activate (GApplication* _sender, gpointer self);
static void __lambda0_ (GPasteSettingsMain* self, const gchar* key);
static void ___lambda0__g_settings_changed (GSettings* _sender, const gchar* key, gpointer self);
gint gpaste_settings_main_main (gchar** args, int args_length1);
static GVariant* _variant_new1 (guint32 value);
static GVariant* _variant_new2 (guint32 value);
static GVariant* _variant_new3 (guint32 value);
static GVariant* _variant_new4 (guint32 value);
static GVariant* _variant_new5 (guint32 value);
static void gpaste_settings_main_finalize (GObject* obj);
static void _vala_gpaste_settings_main_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_gpaste_settings_main_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


GPasteSettingsWindow* gpaste_settings_window_construct (GType object_type, GtkApplication* app) {
	GPasteSettingsWindow * self = NULL;
	const gchar* _tmp0_ = NULL;
	GtkApplication* _tmp1_;
	g_return_val_if_fail (app != NULL, NULL);
	self = (GPasteSettingsWindow*) g_object_new (object_type, "type", GTK_WINDOW_TOPLEVEL, NULL);
	_tmp0_ = _ ("GPaste daemon settings");
	gtk_window_set_title ((GtkWindow*) self, _tmp0_);
	_tmp1_ = app;
	gtk_window_set_application ((GtkWindow*) self, _tmp1_);
	gtk_window_set_position ((GtkWindow*) self, GTK_WIN_POS_CENTER);
	gtk_window_set_resizable ((GtkWindow*) self, FALSE);
	gpaste_settings_window_fill (self);
	return self;
}


GPasteSettingsWindow* gpaste_settings_window_new (GtkApplication* app) {
	return gpaste_settings_window_construct (GPASTE_SETTINGS_TYPE_WINDOW, app);
}


static Block1Data* block1_data_ref (Block1Data* _data1_) {
	g_atomic_int_inc (&_data1_->_ref_count_);
	return _data1_;
}


static void block1_data_unref (Block1Data* _data1_) {
	if (g_atomic_int_dec_and_test (&_data1_->_ref_count_)) {
		_g_object_unref0 (_data1_->self);
		_g_object_unref0 (_data1_->app);
		g_slice_free (Block1Data, _data1_);
	}
}


static gpointer _g_object_ref0 (gpointer self) {
	return self ? g_object_ref (self) : NULL;
}


static void __lambda1_ (Block1Data* _data1_) {
	GPasteSettingsWindow * self;
	gboolean _tmp0_;
	gboolean _tmp1_;
	self = _data1_->self;
	_tmp0_ = gpaste_settings_window_get_track_changes (self);
	_tmp1_ = _tmp0_;
	gpaste_settings_main_set_track_changes (_data1_->app, _tmp1_);
}


static void ___lambda1__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self) {
	__lambda1_ (self);
}


static void __lambda2_ (Block1Data* _data1_) {
	GPasteSettingsWindow * self;
	gboolean _tmp0_;
	gboolean _tmp1_;
	self = _data1_->self;
	_tmp0_ = gpaste_settings_window_get_track_extension_state (self);
	_tmp1_ = _tmp0_;
	gpaste_settings_main_set_track_extension_state (_data1_->app, _tmp1_);
}


static void ___lambda2__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self) {
	__lambda2_ (self);
}


static void __lambda3_ (Block1Data* _data1_) {
	GPasteSettingsWindow * self;
	gboolean _tmp0_;
	gboolean _tmp1_;
	self = _data1_->self;
	_tmp0_ = gpaste_settings_window_get_primary_to_history (self);
	_tmp1_ = _tmp0_;
	gpaste_settings_main_set_primary_to_history (_data1_->app, _tmp1_);
}


static void ___lambda3__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self) {
	__lambda3_ (self);
}


static void __lambda4_ (Block1Data* _data1_) {
	GPasteSettingsWindow * self;
	gboolean _tmp0_;
	gboolean _tmp1_;
	self = _data1_->self;
	_tmp0_ = gpaste_settings_window_get_synchronize_clipboards (self);
	_tmp1_ = _tmp0_;
	gpaste_settings_main_set_synchronize_clipboards (_data1_->app, _tmp1_);
}


static void ___lambda4__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self) {
	__lambda4_ (self);
}


static void __lambda5_ (Block1Data* _data1_) {
	GPasteSettingsWindow * self;
	gboolean _tmp0_;
	gboolean _tmp1_;
	self = _data1_->self;
	_tmp0_ = gpaste_settings_window_get_save_history (self);
	_tmp1_ = _tmp0_;
	gpaste_settings_main_set_save_history (_data1_->app, _tmp1_);
}


static void ___lambda5__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self) {
	__lambda5_ (self);
}


static void __lambda6_ (Block1Data* _data1_) {
	GPasteSettingsWindow * self;
	gboolean _tmp0_;
	gboolean _tmp1_;
	self = _data1_->self;
	_tmp0_ = gpaste_settings_window_get_trim_items (self);
	_tmp1_ = _tmp0_;
	gpaste_settings_main_set_trim_items (_data1_->app, _tmp1_);
}


static void ___lambda6__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self) {
	__lambda6_ (self);
}


static void __lambda7_ (Block1Data* _data1_) {
	GPasteSettingsWindow * self;
	guint32 _tmp0_;
	guint32 _tmp1_;
	self = _data1_->self;
	_tmp0_ = gpaste_settings_window_get_max_history_size (self);
	_tmp1_ = _tmp0_;
	gpaste_settings_main_set_max_history_size (_data1_->app, _tmp1_);
}


static void ___lambda7__gtk_adjustment_value_changed (GtkAdjustment* _sender, gpointer self) {
	__lambda7_ (self);
}


static void __lambda8_ (Block1Data* _data1_) {
	GPasteSettingsWindow * self;
	guint32 _tmp0_;
	guint32 _tmp1_;
	self = _data1_->self;
	_tmp0_ = gpaste_settings_window_get_max_displayed_history_size (self);
	_tmp1_ = _tmp0_;
	gpaste_settings_main_set_max_displayed_history_size (_data1_->app, _tmp1_);
}


static void ___lambda8__gtk_adjustment_value_changed (GtkAdjustment* _sender, gpointer self) {
	__lambda8_ (self);
}


static void __lambda9_ (Block1Data* _data1_) {
	GPasteSettingsWindow * self;
	guint32 _tmp0_;
	guint32 _tmp1_;
	self = _data1_->self;
	_tmp0_ = gpaste_settings_window_get_element_size (self);
	_tmp1_ = _tmp0_;
	gpaste_settings_main_set_element_size (_data1_->app, _tmp1_);
}


static void ___lambda9__gtk_adjustment_value_changed (GtkAdjustment* _sender, gpointer self) {
	__lambda9_ (self);
}


static void __lambda10_ (Block1Data* _data1_) {
	GPasteSettingsWindow * self;
	guint32 _tmp0_;
	guint32 _tmp1_;
	self = _data1_->self;
	_tmp0_ = gpaste_settings_window_get_min_text_item_size (self);
	_tmp1_ = _tmp0_;
	gpaste_settings_main_set_min_text_item_size (_data1_->app, _tmp1_);
}


static void ___lambda10__gtk_adjustment_value_changed (GtkAdjustment* _sender, gpointer self) {
	__lambda10_ (self);
}


static void __lambda11_ (Block1Data* _data1_) {
	GPasteSettingsWindow * self;
	guint32 _tmp0_;
	guint32 _tmp1_;
	self = _data1_->self;
	_tmp0_ = gpaste_settings_window_get_max_text_item_size (self);
	_tmp1_ = _tmp0_;
	gpaste_settings_main_set_max_text_item_size (_data1_->app, _tmp1_);
}


static void ___lambda11__gtk_adjustment_value_changed (GtkAdjustment* _sender, gpointer self) {
	__lambda11_ (self);
}


static void __lambda12_ (Block1Data* _data1_) {
	GPasteSettingsWindow * self;
	const gchar* _tmp0_;
	const gchar* _tmp1_;
	self = _data1_->self;
	_tmp0_ = gpaste_settings_window_get_keyboard_shortcut (self);
	_tmp1_ = _tmp0_;
	gpaste_settings_main_set_keyboard_shortcut (_data1_->app, _tmp1_);
}


static void ___lambda12__gtk_editable_changed (GtkEditable* _sender, gpointer self) {
	__lambda12_ (self);
}


static void gpaste_settings_window_fill (GPasteSettingsWindow* self) {
	Block1Data* _data1_;
	GtkGrid* _tmp0_;
	GtkGrid* _tmp1_;
	GtkGrid* grid;
	GtkApplication* _tmp2_;
	GtkApplication* _tmp3_;
	GPasteSettingsMain* _tmp4_;
	gint current_line;
	const gchar* _tmp5_ = NULL;
	GtkCheckButton* _tmp6_;
	GtkCheckButton* _tmp7_;
	gboolean _tmp8_;
	gboolean _tmp9_;
	GtkCheckButton* _tmp10_;
	GtkCheckButton* _tmp11_;
	gint _tmp12_;
	const gchar* _tmp13_ = NULL;
	GtkCheckButton* _tmp14_;
	GtkCheckButton* _tmp15_;
	gboolean _tmp16_;
	gboolean _tmp17_;
	GtkCheckButton* _tmp18_;
	GtkCheckButton* _tmp19_;
	gint _tmp20_;
	GtkSeparator* _tmp21_;
	GtkSeparator* _tmp22_;
	gint _tmp23_;
	const gchar* _tmp24_ = NULL;
	GtkCheckButton* _tmp25_;
	GtkCheckButton* _tmp26_;
	gboolean _tmp27_;
	gboolean _tmp28_;
	GtkCheckButton* _tmp29_;
	GtkCheckButton* _tmp30_;
	gint _tmp31_;
	const gchar* _tmp32_ = NULL;
	GtkCheckButton* _tmp33_;
	GtkCheckButton* _tmp34_;
	gboolean _tmp35_;
	gboolean _tmp36_;
	GtkCheckButton* _tmp37_;
	GtkCheckButton* _tmp38_;
	gint _tmp39_;
	GtkSeparator* _tmp40_;
	GtkSeparator* _tmp41_;
	gint _tmp42_;
	const gchar* _tmp43_ = NULL;
	GtkCheckButton* _tmp44_;
	GtkCheckButton* _tmp45_;
	gboolean _tmp46_;
	gboolean _tmp47_;
	GtkCheckButton* _tmp48_;
	GtkCheckButton* _tmp49_;
	gint _tmp50_;
	const gchar* _tmp51_ = NULL;
	GtkCheckButton* _tmp52_;
	GtkCheckButton* _tmp53_;
	gboolean _tmp54_;
	gboolean _tmp55_;
	GtkCheckButton* _tmp56_;
	GtkCheckButton* _tmp57_;
	gint _tmp58_;
	GtkSeparator* _tmp59_;
	GtkSeparator* _tmp60_;
	gint _tmp61_;
	const gchar* _tmp62_ = NULL;
	GtkLabel* _tmp63_;
	GtkLabel* _tmp64_;
	GtkLabel* max_history_size_label;
	gint _tmp65_;
	GtkSpinButton* _tmp66_;
	GtkSpinButton* _tmp67_;
	guint32 _tmp68_;
	guint32 _tmp69_;
	GtkSpinButton* _tmp70_;
	GtkAdjustment* _tmp71_ = NULL;
	GtkSpinButton* _tmp72_;
	const gchar* _tmp73_ = NULL;
	GtkLabel* _tmp74_;
	GtkLabel* _tmp75_;
	GtkLabel* max_displayed_history_size_label;
	gint _tmp76_;
	GtkSpinButton* _tmp77_;
	GtkSpinButton* _tmp78_;
	guint32 _tmp79_;
	guint32 _tmp80_;
	GtkSpinButton* _tmp81_;
	GtkAdjustment* _tmp82_ = NULL;
	GtkSpinButton* _tmp83_;
	const gchar* _tmp84_ = NULL;
	GtkLabel* _tmp85_;
	GtkLabel* _tmp86_;
	GtkLabel* element_size_label;
	gint _tmp87_;
	GtkSpinButton* _tmp88_;
	GtkSpinButton* _tmp89_;
	guint32 _tmp90_;
	guint32 _tmp91_;
	GtkSpinButton* _tmp92_;
	GtkAdjustment* _tmp93_ = NULL;
	GtkSpinButton* _tmp94_;
	const gchar* _tmp95_ = NULL;
	GtkLabel* _tmp96_;
	GtkLabel* _tmp97_;
	GtkLabel* min_text_item_size_label;
	gint _tmp98_;
	guint32 _tmp99_;
	GtkSpinButton* _tmp100_;
	GtkSpinButton* _tmp101_;
	guint32 _tmp102_;
	guint32 _tmp103_;
	GtkSpinButton* _tmp104_;
	GtkAdjustment* _tmp105_ = NULL;
	GtkSpinButton* _tmp106_;
	const gchar* _tmp107_ = NULL;
	GtkLabel* _tmp108_;
	GtkLabel* _tmp109_;
	GtkLabel* max_text_item_size_label;
	gint _tmp110_;
	guint32 _tmp111_;
	GtkSpinButton* _tmp112_;
	GtkSpinButton* _tmp113_;
	guint32 _tmp114_;
	guint32 _tmp115_;
	GtkSpinButton* _tmp116_;
	GtkAdjustment* _tmp117_ = NULL;
	GtkSpinButton* _tmp118_;
	const gchar* _tmp119_ = NULL;
	GtkLabel* _tmp120_;
	GtkLabel* _tmp121_;
	GtkLabel* keyboard_shortcut_label;
	gint _tmp122_;
	GtkEntry* _tmp123_;
	GtkEntry* _tmp124_;
	gchar* _tmp125_;
	gchar* _tmp126_;
	gchar* _tmp127_;
	GtkEntry* _tmp128_;
	GtkEntry* _tmp129_;
	g_return_if_fail (self != NULL);
	_data1_ = g_slice_new0 (Block1Data);
	_data1_->_ref_count_ = 1;
	_data1_->self = g_object_ref (self);
	_tmp0_ = (GtkGrid*) gtk_grid_new ();
	_tmp1_ = g_object_ref_sink (_tmp0_);
	grid = _tmp1_;
	_tmp2_ = gtk_window_get_application ((GtkWindow*) self);
	_tmp3_ = _tmp2_;
	_tmp4_ = _g_object_ref0 (GPASTE_SETTINGS_IS_MAIN (_tmp3_) ? ((GPasteSettingsMain*) _tmp3_) : NULL);
	_data1_->app = _tmp4_;
	current_line = 0;
	g_object_set ((GtkWidget*) grid, "margin", 12, NULL);
	gtk_grid_set_column_spacing (grid, (guint) 10);
	gtk_grid_set_row_spacing (grid, (guint) 10);
	_tmp5_ = _ ("_Track clipboard changes");
	_tmp6_ = (GtkCheckButton*) gtk_check_button_new_with_mnemonic (_tmp5_);
	_tmp7_ = g_object_ref_sink (_tmp6_);
	_g_object_unref0 (self->priv->track_changes_button);
	self->priv->track_changes_button = _tmp7_;
	_tmp8_ = gpaste_settings_main_get_track_changes (_data1_->app);
	_tmp9_ = _tmp8_;
	gpaste_settings_window_set_track_changes (self, _tmp9_);
	_tmp10_ = self->priv->track_changes_button;
	g_signal_connect_data ((GtkToggleButton*) _tmp10_, "toggled", (GCallback) ___lambda1__gtk_toggle_button_toggled, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
	_tmp11_ = self->priv->track_changes_button;
	_tmp12_ = current_line;
	current_line = _tmp12_ + 1;
	gtk_grid_attach (grid, (GtkWidget*) _tmp11_, 0, _tmp12_, 2, 1);
	_tmp13_ = _ ("Sync the daemon state with the _extension's one");
	_tmp14_ = (GtkCheckButton*) gtk_check_button_new_with_mnemonic (_tmp13_);
	_tmp15_ = g_object_ref_sink (_tmp14_);
	_g_object_unref0 (self->priv->track_extension_state_button);
	self->priv->track_extension_state_button = _tmp15_;
	_tmp16_ = gpaste_settings_main_get_track_extension_state (_data1_->app);
	_tmp17_ = _tmp16_;
	gpaste_settings_window_set_track_extension_state (self, _tmp17_);
	_tmp18_ = self->priv->track_extension_state_button;
	g_signal_connect_data ((GtkToggleButton*) _tmp18_, "toggled", (GCallback) ___lambda2__gtk_toggle_button_toggled, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
	_tmp19_ = self->priv->track_extension_state_button;
	_tmp20_ = current_line;
	current_line = _tmp20_ + 1;
	gtk_grid_attach (grid, (GtkWidget*) _tmp19_, 0, _tmp20_, 2, 1);
	_tmp21_ = (GtkSeparator*) gtk_separator_new (GTK_ORIENTATION_HORIZONTAL);
	_tmp22_ = g_object_ref_sink (_tmp21_);
	_tmp23_ = current_line;
	current_line = _tmp23_ + 1;
	gtk_grid_attach (grid, (GtkWidget*) _tmp22_, 0, _tmp23_, 2, 1);
	_g_object_unref0 (_tmp22_);
	_tmp24_ = _ ("_Primary selection affects history");
	_tmp25_ = (GtkCheckButton*) gtk_check_button_new_with_mnemonic (_tmp24_);
	_tmp26_ = g_object_ref_sink (_tmp25_);
	_g_object_unref0 (self->priv->primary_to_history_button);
	self->priv->primary_to_history_button = _tmp26_;
	_tmp27_ = gpaste_settings_main_get_primary_to_history (_data1_->app);
	_tmp28_ = _tmp27_;
	gpaste_settings_window_set_primary_to_history (self, _tmp28_);
	_tmp29_ = self->priv->primary_to_history_button;
	g_signal_connect_data ((GtkToggleButton*) _tmp29_, "toggled", (GCallback) ___lambda3__gtk_toggle_button_toggled, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
	_tmp30_ = self->priv->primary_to_history_button;
	_tmp31_ = current_line;
	current_line = _tmp31_ + 1;
	gtk_grid_attach (grid, (GtkWidget*) _tmp30_, 0, _tmp31_, 2, 1);
	_tmp32_ = _ ("_Synchronize clipboard with primary selection");
	_tmp33_ = (GtkCheckButton*) gtk_check_button_new_with_mnemonic (_tmp32_);
	_tmp34_ = g_object_ref_sink (_tmp33_);
	_g_object_unref0 (self->priv->synchronize_clipboards_button);
	self->priv->synchronize_clipboards_button = _tmp34_;
	_tmp35_ = gpaste_settings_main_get_synchronize_clipboards (_data1_->app);
	_tmp36_ = _tmp35_;
	gpaste_settings_window_set_synchronize_clipboards (self, _tmp36_);
	_tmp37_ = self->priv->synchronize_clipboards_button;
	g_signal_connect_data ((GtkToggleButton*) _tmp37_, "toggled", (GCallback) ___lambda4__gtk_toggle_button_toggled, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
	_tmp38_ = self->priv->synchronize_clipboards_button;
	_tmp39_ = current_line;
	current_line = _tmp39_ + 1;
	gtk_grid_attach (grid, (GtkWidget*) _tmp38_, 0, _tmp39_, 2, 1);
	_tmp40_ = (GtkSeparator*) gtk_separator_new (GTK_ORIENTATION_HORIZONTAL);
	_tmp41_ = g_object_ref_sink (_tmp40_);
	_tmp42_ = current_line;
	current_line = _tmp42_ + 1;
	gtk_grid_attach (grid, (GtkWidget*) _tmp41_, 0, _tmp42_, 2, 1);
	_g_object_unref0 (_tmp41_);
	_tmp43_ = _ ("_Save history");
	_tmp44_ = (GtkCheckButton*) gtk_check_button_new_with_mnemonic (_tmp43_);
	_tmp45_ = g_object_ref_sink (_tmp44_);
	_g_object_unref0 (self->priv->save_history_button);
	self->priv->save_history_button = _tmp45_;
	_tmp46_ = gpaste_settings_main_get_save_history (_data1_->app);
	_tmp47_ = _tmp46_;
	gpaste_settings_window_set_save_history (self, _tmp47_);
	_tmp48_ = self->priv->save_history_button;
	g_signal_connect_data ((GtkToggleButton*) _tmp48_, "toggled", (GCallback) ___lambda5__gtk_toggle_button_toggled, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
	_tmp49_ = self->priv->save_history_button;
	_tmp50_ = current_line;
	current_line = _tmp50_ + 1;
	gtk_grid_attach (grid, (GtkWidget*) _tmp49_, 0, _tmp50_, 2, 1);
	_tmp51_ = _ ("_Trim items");
	_tmp52_ = (GtkCheckButton*) gtk_check_button_new_with_mnemonic (_tmp51_);
	_tmp53_ = g_object_ref_sink (_tmp52_);
	_g_object_unref0 (self->priv->trim_items_button);
	self->priv->trim_items_button = _tmp53_;
	_tmp54_ = gpaste_settings_main_get_trim_items (_data1_->app);
	_tmp55_ = _tmp54_;
	gpaste_settings_window_set_trim_items (self, _tmp55_);
	_tmp56_ = self->priv->trim_items_button;
	g_signal_connect_data ((GtkToggleButton*) _tmp56_, "toggled", (GCallback) ___lambda6__gtk_toggle_button_toggled, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
	_tmp57_ = self->priv->trim_items_button;
	_tmp58_ = current_line;
	current_line = _tmp58_ + 1;
	gtk_grid_attach (grid, (GtkWidget*) _tmp57_, 0, _tmp58_, 2, 1);
	_tmp59_ = (GtkSeparator*) gtk_separator_new (GTK_ORIENTATION_HORIZONTAL);
	_tmp60_ = g_object_ref_sink (_tmp59_);
	_tmp61_ = current_line;
	current_line = _tmp61_ + 1;
	gtk_grid_attach (grid, (GtkWidget*) _tmp60_, 0, _tmp61_, 2, 1);
	_g_object_unref0 (_tmp60_);
	_tmp62_ = _ ("Max history size: ");
	_tmp63_ = (GtkLabel*) gtk_label_new (_tmp62_);
	_tmp64_ = g_object_ref_sink (_tmp63_);
	max_history_size_label = _tmp64_;
	g_object_set ((GtkMisc*) max_history_size_label, "xalign", (gfloat) 0, NULL);
	_tmp65_ = current_line;
	current_line = _tmp65_ + 1;
	gtk_grid_attach (grid, (GtkWidget*) max_history_size_label, 0, _tmp65_, 1, 1);
	_tmp66_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 5, (gdouble) 255, (gdouble) 5);
	_tmp67_ = g_object_ref_sink (_tmp66_);
	_g_object_unref0 (self->priv->max_history_size_button);
	self->priv->max_history_size_button = _tmp67_;
	_tmp68_ = gpaste_settings_main_get_max_history_size (_data1_->app);
	_tmp69_ = _tmp68_;
	gpaste_settings_window_set_max_history_size (self, _tmp69_);
	_tmp70_ = self->priv->max_history_size_button;
	_tmp71_ = gtk_spin_button_get_adjustment (_tmp70_);
	g_signal_connect_data (_tmp71_, "value-changed", (GCallback) ___lambda7__gtk_adjustment_value_changed, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
	_tmp72_ = self->priv->max_history_size_button;
	gtk_grid_attach_next_to (grid, (GtkWidget*) _tmp72_, (GtkWidget*) max_history_size_label, GTK_POS_RIGHT, 1, 1);
	_tmp73_ = _ ("Max displayed history size: ");
	_tmp74_ = (GtkLabel*) gtk_label_new (_tmp73_);
	_tmp75_ = g_object_ref_sink (_tmp74_);
	max_displayed_history_size_label = _tmp75_;
	g_object_set ((GtkMisc*) max_displayed_history_size_label, "xalign", (gfloat) 0, NULL);
	_tmp76_ = current_line;
	current_line = _tmp76_ + 1;
	gtk_grid_attach (grid, (GtkWidget*) max_displayed_history_size_label, 0, _tmp76_, 1, 1);
	_tmp77_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 5, (gdouble) 255, (gdouble) 5);
	_tmp78_ = g_object_ref_sink (_tmp77_);
	_g_object_unref0 (self->priv->max_displayed_history_size_button);
	self->priv->max_displayed_history_size_button = _tmp78_;
	_tmp79_ = gpaste_settings_main_get_max_displayed_history_size (_data1_->app);
	_tmp80_ = _tmp79_;
	gpaste_settings_window_set_max_displayed_history_size (self, _tmp80_);
	_tmp81_ = self->priv->max_displayed_history_size_button;
	_tmp82_ = gtk_spin_button_get_adjustment (_tmp81_);
	g_signal_connect_data (_tmp82_, "value-changed", (GCallback) ___lambda8__gtk_adjustment_value_changed, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
	_tmp83_ = self->priv->max_displayed_history_size_button;
	gtk_grid_attach_next_to (grid, (GtkWidget*) _tmp83_, (GtkWidget*) max_displayed_history_size_label, GTK_POS_RIGHT, 1, 1);
	_tmp84_ = _ ("Max element size when displaying: ");
	_tmp85_ = (GtkLabel*) gtk_label_new (_tmp84_);
	_tmp86_ = g_object_ref_sink (_tmp85_);
	element_size_label = _tmp86_;
	g_object_set ((GtkMisc*) element_size_label, "xalign", (gfloat) 0, NULL);
	_tmp87_ = current_line;
	current_line = _tmp87_ + 1;
	gtk_grid_attach (grid, (GtkWidget*) element_size_label, 0, _tmp87_, 1, 1);
	_tmp88_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 0, (gdouble) 255, (gdouble) 5);
	_tmp89_ = g_object_ref_sink (_tmp88_);
	_g_object_unref0 (self->priv->element_size_button);
	self->priv->element_size_button = _tmp89_;
	_tmp90_ = gpaste_settings_main_get_element_size (_data1_->app);
	_tmp91_ = _tmp90_;
	gpaste_settings_window_set_element_size (self, _tmp91_);
	_tmp92_ = self->priv->element_size_button;
	_tmp93_ = gtk_spin_button_get_adjustment (_tmp92_);
	g_signal_connect_data (_tmp93_, "value-changed", (GCallback) ___lambda9__gtk_adjustment_value_changed, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
	_tmp94_ = self->priv->element_size_button;
	gtk_grid_attach_next_to (grid, (GtkWidget*) _tmp94_, (GtkWidget*) element_size_label, GTK_POS_RIGHT, 1, 1);
	_tmp95_ = _ ("Min text item length: ");
	_tmp96_ = (GtkLabel*) gtk_label_new (_tmp95_);
	_tmp97_ = g_object_ref_sink (_tmp96_);
	min_text_item_size_label = _tmp97_;
	g_object_set ((GtkMisc*) min_text_item_size_label, "xalign", (gfloat) 0, NULL);
	_tmp98_ = current_line;
	current_line = _tmp98_ + 1;
	gtk_grid_attach (grid, (GtkWidget*) min_text_item_size_label, 0, _tmp98_, 1, 1);
	_tmp99_ = G_MAXUINT32;
	_tmp100_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 1, (gdouble) _tmp99_, (gdouble) 1);
	_tmp101_ = g_object_ref_sink (_tmp100_);
	_g_object_unref0 (self->priv->min_text_item_size_button);
	self->priv->min_text_item_size_button = _tmp101_;
	_tmp102_ = gpaste_settings_main_get_min_text_item_size (_data1_->app);
	_tmp103_ = _tmp102_;
	gpaste_settings_window_set_min_text_item_size (self, _tmp103_);
	_tmp104_ = self->priv->min_text_item_size_button;
	_tmp105_ = gtk_spin_button_get_adjustment (_tmp104_);
	g_signal_connect_data (_tmp105_, "value-changed", (GCallback) ___lambda10__gtk_adjustment_value_changed, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
	_tmp106_ = self->priv->min_text_item_size_button;
	gtk_grid_attach_next_to (grid, (GtkWidget*) _tmp106_, (GtkWidget*) min_text_item_size_label, GTK_POS_RIGHT, 1, 1);
	_tmp107_ = _ ("Max text item length: ");
	_tmp108_ = (GtkLabel*) gtk_label_new (_tmp107_);
	_tmp109_ = g_object_ref_sink (_tmp108_);
	max_text_item_size_label = _tmp109_;
	g_object_set ((GtkMisc*) max_text_item_size_label, "xalign", (gfloat) 0, NULL);
	_tmp110_ = current_line;
	current_line = _tmp110_ + 1;
	gtk_grid_attach (grid, (GtkWidget*) max_text_item_size_label, 0, _tmp110_, 1, 1);
	_tmp111_ = G_MAXUINT32;
	_tmp112_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 1, (gdouble) _tmp111_, (gdouble) 1);
	_tmp113_ = g_object_ref_sink (_tmp112_);
	_g_object_unref0 (self->priv->max_text_item_size_button);
	self->priv->max_text_item_size_button = _tmp113_;
	_tmp114_ = gpaste_settings_main_get_max_text_item_size (_data1_->app);
	_tmp115_ = _tmp114_;
	gpaste_settings_window_set_max_text_item_size (self, _tmp115_);
	_tmp116_ = self->priv->max_text_item_size_button;
	_tmp117_ = gtk_spin_button_get_adjustment (_tmp116_);
	g_signal_connect_data (_tmp117_, "value-changed", (GCallback) ___lambda11__gtk_adjustment_value_changed, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
	_tmp118_ = self->priv->max_text_item_size_button;
	gtk_grid_attach_next_to (grid, (GtkWidget*) _tmp118_, (GtkWidget*) max_text_item_size_label, GTK_POS_RIGHT, 1, 1);
	_tmp119_ = _ ("Keyboard shortcut to display the history: ");
	_tmp120_ = (GtkLabel*) gtk_label_new (_tmp119_);
	_tmp121_ = g_object_ref_sink (_tmp120_);
	keyboard_shortcut_label = _tmp121_;
	g_object_set ((GtkMisc*) keyboard_shortcut_label, "xalign", (gfloat) 0, NULL);
	_tmp122_ = current_line;
	current_line = _tmp122_ + 1;
	gtk_grid_attach (grid, (GtkWidget*) keyboard_shortcut_label, 0, _tmp122_, 1, 1);
	_tmp123_ = (GtkEntry*) gtk_entry_new ();
	_tmp124_ = g_object_ref_sink (_tmp123_);
	_g_object_unref0 (self->priv->keyboard_shortcut_entry);
	self->priv->keyboard_shortcut_entry = _tmp124_;
	_tmp125_ = gpaste_settings_main_get_keyboard_shortcut (_data1_->app);
	_tmp126_ = _tmp125_;
	_tmp127_ = _tmp126_;
	gpaste_settings_window_set_keyboard_shortcut (self, _tmp127_);
	_g_free0 (_tmp127_);
	_tmp128_ = self->priv->keyboard_shortcut_entry;
	g_signal_connect_data ((GtkEditable*) _tmp128_, "changed", (GCallback) ___lambda12__gtk_editable_changed, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
	_tmp129_ = self->priv->keyboard_shortcut_entry;
	gtk_grid_attach_next_to (grid, (GtkWidget*) _tmp129_, (GtkWidget*) keyboard_shortcut_label, GTK_POS_RIGHT, 1, 1);
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) grid);
	_g_object_unref0 (keyboard_shortcut_label);
	_g_object_unref0 (max_text_item_size_label);
	_g_object_unref0 (min_text_item_size_label);
	_g_object_unref0 (element_size_label);
	_g_object_unref0 (max_displayed_history_size_label);
	_g_object_unref0 (max_history_size_label);
	_g_object_unref0 (grid);
	block1_data_unref (_data1_);
	_data1_ = NULL;
}


gboolean gpaste_settings_window_get_primary_to_history (GPasteSettingsWindow* self) {
	gboolean result;
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_ = FALSE;
	g_return_val_if_fail (self != NULL, FALSE);
	_tmp0_ = self->priv->primary_to_history_button;
	_tmp1_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp0_);
	result = _tmp1_;
	return result;
}


void gpaste_settings_window_set_primary_to_history (GPasteSettingsWindow* self, gboolean value) {
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->primary_to_history_button;
	_tmp1_ = value;
	gtk_toggle_button_set_active ((GtkToggleButton*) _tmp0_, _tmp1_);
	g_object_notify ((GObject *) self, "primary-to-history");
}


gboolean gpaste_settings_window_get_synchronize_clipboards (GPasteSettingsWindow* self) {
	gboolean result;
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_ = FALSE;
	g_return_val_if_fail (self != NULL, FALSE);
	_tmp0_ = self->priv->synchronize_clipboards_button;
	_tmp1_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp0_);
	result = _tmp1_;
	return result;
}


void gpaste_settings_window_set_synchronize_clipboards (GPasteSettingsWindow* self, gboolean value) {
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->synchronize_clipboards_button;
	_tmp1_ = value;
	gtk_toggle_button_set_active ((GtkToggleButton*) _tmp0_, _tmp1_);
	g_object_notify ((GObject *) self, "synchronize-clipboards");
}


gboolean gpaste_settings_window_get_track_changes (GPasteSettingsWindow* self) {
	gboolean result;
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_ = FALSE;
	g_return_val_if_fail (self != NULL, FALSE);
	_tmp0_ = self->priv->track_changes_button;
	_tmp1_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp0_);
	result = _tmp1_;
	return result;
}


void gpaste_settings_window_set_track_changes (GPasteSettingsWindow* self, gboolean value) {
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->track_changes_button;
	_tmp1_ = value;
	gtk_toggle_button_set_active ((GtkToggleButton*) _tmp0_, _tmp1_);
	g_object_notify ((GObject *) self, "track-changes");
}


gboolean gpaste_settings_window_get_track_extension_state (GPasteSettingsWindow* self) {
	gboolean result;
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_ = FALSE;
	g_return_val_if_fail (self != NULL, FALSE);
	_tmp0_ = self->priv->track_extension_state_button;
	_tmp1_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp0_);
	result = _tmp1_;
	return result;
}


void gpaste_settings_window_set_track_extension_state (GPasteSettingsWindow* self, gboolean value) {
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->track_extension_state_button;
	_tmp1_ = value;
	gtk_toggle_button_set_active ((GtkToggleButton*) _tmp0_, _tmp1_);
	g_object_notify ((GObject *) self, "track-extension-state");
}


gboolean gpaste_settings_window_get_save_history (GPasteSettingsWindow* self) {
	gboolean result;
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_ = FALSE;
	g_return_val_if_fail (self != NULL, FALSE);
	_tmp0_ = self->priv->save_history_button;
	_tmp1_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp0_);
	result = _tmp1_;
	return result;
}


void gpaste_settings_window_set_save_history (GPasteSettingsWindow* self, gboolean value) {
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->save_history_button;
	_tmp1_ = value;
	gtk_toggle_button_set_active ((GtkToggleButton*) _tmp0_, _tmp1_);
	g_object_notify ((GObject *) self, "save-history");
}


gboolean gpaste_settings_window_get_trim_items (GPasteSettingsWindow* self) {
	gboolean result;
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_ = FALSE;
	g_return_val_if_fail (self != NULL, FALSE);
	_tmp0_ = self->priv->trim_items_button;
	_tmp1_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp0_);
	result = _tmp1_;
	return result;
}


void gpaste_settings_window_set_trim_items (GPasteSettingsWindow* self, gboolean value) {
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->trim_items_button;
	_tmp1_ = value;
	gtk_toggle_button_set_active ((GtkToggleButton*) _tmp0_, _tmp1_);
	g_object_notify ((GObject *) self, "trim-items");
}


guint32 gpaste_settings_window_get_max_history_size (GPasteSettingsWindow* self) {
	guint32 result;
	GtkSpinButton* _tmp0_;
	gint _tmp1_ = 0;
	g_return_val_if_fail (self != NULL, 0U);
	_tmp0_ = self->priv->max_history_size_button;
	_tmp1_ = gtk_spin_button_get_value_as_int (_tmp0_);
	result = (guint32) _tmp1_;
	return result;
}


void gpaste_settings_window_set_max_history_size (GPasteSettingsWindow* self, guint32 value) {
	GtkSpinButton* _tmp0_;
	GtkAdjustment* _tmp1_ = NULL;
	guint32 _tmp2_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->max_history_size_button;
	_tmp1_ = gtk_spin_button_get_adjustment (_tmp0_);
	_tmp2_ = value;
	gtk_adjustment_set_value (_tmp1_, (gdouble) _tmp2_);
	g_object_notify ((GObject *) self, "max-history-size");
}


guint32 gpaste_settings_window_get_max_displayed_history_size (GPasteSettingsWindow* self) {
	guint32 result;
	GtkSpinButton* _tmp0_;
	gint _tmp1_ = 0;
	g_return_val_if_fail (self != NULL, 0U);
	_tmp0_ = self->priv->max_displayed_history_size_button;
	_tmp1_ = gtk_spin_button_get_value_as_int (_tmp0_);
	result = (guint32) _tmp1_;
	return result;
}


void gpaste_settings_window_set_max_displayed_history_size (GPasteSettingsWindow* self, guint32 value) {
	GtkSpinButton* _tmp0_;
	GtkAdjustment* _tmp1_ = NULL;
	guint32 _tmp2_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->max_displayed_history_size_button;
	_tmp1_ = gtk_spin_button_get_adjustment (_tmp0_);
	_tmp2_ = value;
	gtk_adjustment_set_value (_tmp1_, (gdouble) _tmp2_);
	g_object_notify ((GObject *) self, "max-displayed-history-size");
}


guint32 gpaste_settings_window_get_element_size (GPasteSettingsWindow* self) {
	guint32 result;
	GtkSpinButton* _tmp0_;
	gint _tmp1_ = 0;
	g_return_val_if_fail (self != NULL, 0U);
	_tmp0_ = self->priv->element_size_button;
	_tmp1_ = gtk_spin_button_get_value_as_int (_tmp0_);
	result = (guint32) _tmp1_;
	return result;
}


void gpaste_settings_window_set_element_size (GPasteSettingsWindow* self, guint32 value) {
	GtkSpinButton* _tmp0_;
	GtkAdjustment* _tmp1_ = NULL;
	guint32 _tmp2_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->element_size_button;
	_tmp1_ = gtk_spin_button_get_adjustment (_tmp0_);
	_tmp2_ = value;
	gtk_adjustment_set_value (_tmp1_, (gdouble) _tmp2_);
	g_object_notify ((GObject *) self, "element-size");
}


guint32 gpaste_settings_window_get_min_text_item_size (GPasteSettingsWindow* self) {
	guint32 result;
	GtkSpinButton* _tmp0_;
	gint _tmp1_ = 0;
	g_return_val_if_fail (self != NULL, 0U);
	_tmp0_ = self->priv->min_text_item_size_button;
	_tmp1_ = gtk_spin_button_get_value_as_int (_tmp0_);
	result = (guint32) _tmp1_;
	return result;
}


void gpaste_settings_window_set_min_text_item_size (GPasteSettingsWindow* self, guint32 value) {
	GtkSpinButton* _tmp0_;
	GtkAdjustment* _tmp1_ = NULL;
	guint32 _tmp2_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->min_text_item_size_button;
	_tmp1_ = gtk_spin_button_get_adjustment (_tmp0_);
	_tmp2_ = value;
	gtk_adjustment_set_value (_tmp1_, (gdouble) _tmp2_);
	g_object_notify ((GObject *) self, "min-text-item-size");
}


guint32 gpaste_settings_window_get_max_text_item_size (GPasteSettingsWindow* self) {
	guint32 result;
	GtkSpinButton* _tmp0_;
	gint _tmp1_ = 0;
	g_return_val_if_fail (self != NULL, 0U);
	_tmp0_ = self->priv->max_text_item_size_button;
	_tmp1_ = gtk_spin_button_get_value_as_int (_tmp0_);
	result = (guint32) _tmp1_;
	return result;
}


void gpaste_settings_window_set_max_text_item_size (GPasteSettingsWindow* self, guint32 value) {
	GtkSpinButton* _tmp0_;
	GtkAdjustment* _tmp1_ = NULL;
	guint32 _tmp2_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->max_text_item_size_button;
	_tmp1_ = gtk_spin_button_get_adjustment (_tmp0_);
	_tmp2_ = value;
	gtk_adjustment_set_value (_tmp1_, (gdouble) _tmp2_);
	g_object_notify ((GObject *) self, "max-text-item-size");
}


const gchar* gpaste_settings_window_get_keyboard_shortcut (GPasteSettingsWindow* self) {
	const gchar* result;
	GtkEntry* _tmp0_;
	const gchar* _tmp1_ = NULL;
	g_return_val_if_fail (self != NULL, NULL);
	_tmp0_ = self->priv->keyboard_shortcut_entry;
	_tmp1_ = gtk_entry_get_text (_tmp0_);
	result = _tmp1_;
	return result;
}


void gpaste_settings_window_set_keyboard_shortcut (GPasteSettingsWindow* self, const gchar* value) {
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->keyboard_shortcut_entry;
	_tmp1_ = value;
	gtk_entry_set_text (_tmp0_, _tmp1_);
	g_object_notify ((GObject *) self, "keyboard-shortcut");
}


static void gpaste_settings_window_class_init (GPasteSettingsWindowClass * klass) {
	gpaste_settings_window_parent_class = g_type_class_peek_parent (klass);
	g_type_class_add_private (klass, sizeof (GPasteSettingsWindowPrivate));
	G_OBJECT_CLASS (klass)->get_property = _vala_gpaste_settings_window_get_property;
	G_OBJECT_CLASS (klass)->set_property = _vala_gpaste_settings_window_set_property;
	G_OBJECT_CLASS (klass)->finalize = gpaste_settings_window_finalize;
	g_object_class_install_property (G_OBJECT_CLASS (klass), GPASTE_SETTINGS_WINDOW_PRIMARY_TO_HISTORY, g_param_spec_boolean ("primary-to-history", "primary-to-history", "primary-to-history", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), GPASTE_SETTINGS_WINDOW_SYNCHRONIZE_CLIPBOARDS, g_param_spec_boolean ("synchronize-clipboards", "synchronize-clipboards", "synchronize-clipboards", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), GPASTE_SETTINGS_WINDOW_TRACK_CHANGES, g_param_spec_boolean ("track-changes", "track-changes", "track-changes", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), GPASTE_SETTINGS_WINDOW_TRACK_EXTENSION_STATE, g_param_spec_boolean ("track-extension-state", "track-extension-state", "track-extension-state", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), GPASTE_SETTINGS_WINDOW_SAVE_HISTORY, g_param_spec_boolean ("save-history", "save-history", "save-history", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), GPASTE_SETTINGS_WINDOW_TRIM_ITEMS, g_param_spec_boolean ("trim-items", "trim-items", "trim-items", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), GPASTE_SETTINGS_WINDOW_MAX_HISTORY_SIZE, g_param_spec_uint ("max-history-size", "max-history-size", "max-history-size", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), GPASTE_SETTINGS_WINDOW_MAX_DISPLAYED_HISTORY_SIZE, g_param_spec_uint ("max-displayed-history-size", "max-displayed-history-size", "max-displayed-history-size", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), GPASTE_SETTINGS_WINDOW_ELEMENT_SIZE, g_param_spec_uint ("element-size", "element-size", "element-size", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), GPASTE_SETTINGS_WINDOW_MIN_TEXT_ITEM_SIZE, g_param_spec_uint ("min-text-item-size", "min-text-item-size", "min-text-item-size", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), GPASTE_SETTINGS_WINDOW_MAX_TEXT_ITEM_SIZE, g_param_spec_uint ("max-text-item-size", "max-text-item-size", "max-text-item-size", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), GPASTE_SETTINGS_WINDOW_KEYBOARD_SHORTCUT, g_param_spec_string ("keyboard-shortcut", "keyboard-shortcut", "keyboard-shortcut", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
}


static void gpaste_settings_window_instance_init (GPasteSettingsWindow * self) {
	self->priv = GPASTE_SETTINGS_WINDOW_GET_PRIVATE (self);
}


static void gpaste_settings_window_finalize (GObject* obj) {
	GPasteSettingsWindow * self;
	self = GPASTE_SETTINGS_WINDOW (obj);
	_g_object_unref0 (self->priv->primary_to_history_button);
	_g_object_unref0 (self->priv->synchronize_clipboards_button);
	_g_object_unref0 (self->priv->track_changes_button);
	_g_object_unref0 (self->priv->track_extension_state_button);
	_g_object_unref0 (self->priv->save_history_button);
	_g_object_unref0 (self->priv->trim_items_button);
	_g_object_unref0 (self->priv->max_history_size_button);
	_g_object_unref0 (self->priv->max_displayed_history_size_button);
	_g_object_unref0 (self->priv->element_size_button);
	_g_object_unref0 (self->priv->max_text_item_size_button);
	_g_object_unref0 (self->priv->min_text_item_size_button);
	_g_object_unref0 (self->priv->keyboard_shortcut_entry);
	G_OBJECT_CLASS (gpaste_settings_window_parent_class)->finalize (obj);
}


GType gpaste_settings_window_get_type (void) {
	static volatile gsize gpaste_settings_window_type_id__volatile = 0;
	if (g_once_init_enter (&gpaste_settings_window_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (GPasteSettingsWindowClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) gpaste_settings_window_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (GPasteSettingsWindow), 0, (GInstanceInitFunc) gpaste_settings_window_instance_init, NULL };
		GType gpaste_settings_window_type_id;
		gpaste_settings_window_type_id = g_type_register_static (GTK_TYPE_WINDOW, "GPasteSettingsWindow", &g_define_type_info, 0);
		g_once_init_leave (&gpaste_settings_window_type_id__volatile, gpaste_settings_window_type_id);
	}
	return gpaste_settings_window_type_id__volatile;
}


static void _vala_gpaste_settings_window_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	GPasteSettingsWindow * self;
	self = GPASTE_SETTINGS_WINDOW (object);
	switch (property_id) {
		case GPASTE_SETTINGS_WINDOW_PRIMARY_TO_HISTORY:
		g_value_set_boolean (value, gpaste_settings_window_get_primary_to_history (self));
		break;
		case GPASTE_SETTINGS_WINDOW_SYNCHRONIZE_CLIPBOARDS:
		g_value_set_boolean (value, gpaste_settings_window_get_synchronize_clipboards (self));
		break;
		case GPASTE_SETTINGS_WINDOW_TRACK_CHANGES:
		g_value_set_boolean (value, gpaste_settings_window_get_track_changes (self));
		break;
		case GPASTE_SETTINGS_WINDOW_TRACK_EXTENSION_STATE:
		g_value_set_boolean (value, gpaste_settings_window_get_track_extension_state (self));
		break;
		case GPASTE_SETTINGS_WINDOW_SAVE_HISTORY:
		g_value_set_boolean (value, gpaste_settings_window_get_save_history (self));
		break;
		case GPASTE_SETTINGS_WINDOW_TRIM_ITEMS:
		g_value_set_boolean (value, gpaste_settings_window_get_trim_items (self));
		break;
		case GPASTE_SETTINGS_WINDOW_MAX_HISTORY_SIZE:
		g_value_set_uint (value, gpaste_settings_window_get_max_history_size (self));
		break;
		case GPASTE_SETTINGS_WINDOW_MAX_DISPLAYED_HISTORY_SIZE:
		g_value_set_uint (value, gpaste_settings_window_get_max_displayed_history_size (self));
		break;
		case GPASTE_SETTINGS_WINDOW_ELEMENT_SIZE:
		g_value_set_uint (value, gpaste_settings_window_get_element_size (self));
		break;
		case GPASTE_SETTINGS_WINDOW_MIN_TEXT_ITEM_SIZE:
		g_value_set_uint (value, gpaste_settings_window_get_min_text_item_size (self));
		break;
		case GPASTE_SETTINGS_WINDOW_MAX_TEXT_ITEM_SIZE:
		g_value_set_uint (value, gpaste_settings_window_get_max_text_item_size (self));
		break;
		case GPASTE_SETTINGS_WINDOW_KEYBOARD_SHORTCUT:
		g_value_set_string (value, gpaste_settings_window_get_keyboard_shortcut (self));
		break;
		default:
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
		break;
	}
}


static void _vala_gpaste_settings_window_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	GPasteSettingsWindow * self;
	self = GPASTE_SETTINGS_WINDOW (object);
	switch (property_id) {
		case GPASTE_SETTINGS_WINDOW_PRIMARY_TO_HISTORY:
		gpaste_settings_window_set_primary_to_history (self, g_value_get_boolean (value));
		break;
		case GPASTE_SETTINGS_WINDOW_SYNCHRONIZE_CLIPBOARDS:
		gpaste_settings_window_set_synchronize_clipboards (self, g_value_get_boolean (value));
		break;
		case GPASTE_SETTINGS_WINDOW_TRACK_CHANGES:
		gpaste_settings_window_set_track_changes (self, g_value_get_boolean (value));
		break;
		case GPASTE_SETTINGS_WINDOW_TRACK_EXTENSION_STATE:
		gpaste_settings_window_set_track_extension_state (self, g_value_get_boolean (value));
		break;
		case GPASTE_SETTINGS_WINDOW_SAVE_HISTORY:
		gpaste_settings_window_set_save_history (self, g_value_get_boolean (value));
		break;
		case GPASTE_SETTINGS_WINDOW_TRIM_ITEMS:
		gpaste_settings_window_set_trim_items (self, g_value_get_boolean (value));
		break;
		case GPASTE_SETTINGS_WINDOW_MAX_HISTORY_SIZE:
		gpaste_settings_window_set_max_history_size (self, g_value_get_uint (value));
		break;
		case GPASTE_SETTINGS_WINDOW_MAX_DISPLAYED_HISTORY_SIZE:
		gpaste_settings_window_set_max_displayed_history_size (self, g_value_get_uint (value));
		break;
		case GPASTE_SETTINGS_WINDOW_ELEMENT_SIZE:
		gpaste_settings_window_set_element_size (self, g_value_get_uint (value));
		break;
		case GPASTE_SETTINGS_WINDOW_MIN_TEXT_ITEM_SIZE:
		gpaste_settings_window_set_min_text_item_size (self, g_value_get_uint (value));
		break;
		case GPASTE_SETTINGS_WINDOW_MAX_TEXT_ITEM_SIZE:
		gpaste_settings_window_set_max_text_item_size (self, g_value_get_uint (value));
		break;
		case GPASTE_SETTINGS_WINDOW_KEYBOARD_SHORTCUT:
		gpaste_settings_window_set_keyboard_shortcut (self, g_value_get_string (value));
		break;
		default:
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
		break;
	}
}


static void _gpaste_settings_main_init_g_application_activate (GApplication* _sender, gpointer self) {
	gpaste_settings_main_init (self);
}


static void __lambda0_ (GPasteSettingsMain* self, const gchar* key) {
	const gchar* _tmp0_;
	const gchar* _tmp1_;
	GQuark _tmp3_ = 0U;
	static GQuark _tmp2_label0 = 0;
	static GQuark _tmp2_label1 = 0;
	static GQuark _tmp2_label2 = 0;
	static GQuark _tmp2_label3 = 0;
	static GQuark _tmp2_label4 = 0;
	static GQuark _tmp2_label5 = 0;
	static GQuark _tmp2_label6 = 0;
	static GQuark _tmp2_label7 = 0;
	static GQuark _tmp2_label8 = 0;
	static GQuark _tmp2_label9 = 0;
	static GQuark _tmp2_label10 = 0;
	static GQuark _tmp2_label11 = 0;
	g_return_if_fail (key != NULL);
	_tmp0_ = key;
	_tmp1_ = _tmp0_;
	_tmp3_ = (NULL == _tmp1_) ? 0 : g_quark_from_string (_tmp1_);
	if (_tmp3_ == ((0 != _tmp2_label0) ? _tmp2_label0 : (_tmp2_label0 = g_quark_from_static_string ("max-history-size")))) {
		switch (0) {
			default:
			{
				GPasteSettingsWindow* _tmp4_;
				guint32 _tmp5_;
				guint32 _tmp6_;
				_tmp4_ = self->priv->window;
				_tmp5_ = gpaste_settings_main_get_max_history_size (self);
				_tmp6_ = _tmp5_;
				gpaste_settings_window_set_max_history_size (_tmp4_, _tmp6_);
				break;
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label1) ? _tmp2_label1 : (_tmp2_label1 = g_quark_from_static_string ("max-displayed-history-size")))) {
		switch (0) {
			default:
			{
				GPasteSettingsWindow* _tmp7_;
				guint32 _tmp8_;
				guint32 _tmp9_;
				_tmp7_ = self->priv->window;
				_tmp8_ = gpaste_settings_main_get_max_displayed_history_size (self);
				_tmp9_ = _tmp8_;
				gpaste_settings_window_set_max_displayed_history_size (_tmp7_, _tmp9_);
				break;
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label2) ? _tmp2_label2 : (_tmp2_label2 = g_quark_from_static_string ("element-size")))) {
		switch (0) {
			default:
			{
				GPasteSettingsWindow* _tmp10_;
				guint32 _tmp11_;
				guint32 _tmp12_;
				_tmp10_ = self->priv->window;
				_tmp11_ = gpaste_settings_main_get_element_size (self);
				_tmp12_ = _tmp11_;
				gpaste_settings_window_set_element_size (_tmp10_, _tmp12_);
				break;
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label3) ? _tmp2_label3 : (_tmp2_label3 = g_quark_from_static_string ("primary-to-history")))) {
		switch (0) {
			default:
			{
				GPasteSettingsWindow* _tmp13_;
				gboolean _tmp14_;
				gboolean _tmp15_;
				_tmp13_ = self->priv->window;
				_tmp14_ = gpaste_settings_main_get_primary_to_history (self);
				_tmp15_ = _tmp14_;
				gpaste_settings_window_set_primary_to_history (_tmp13_, _tmp15_);
				break;
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label4) ? _tmp2_label4 : (_tmp2_label4 = g_quark_from_static_string ("synchronize_clipboards")))) {
		switch (0) {
			default:
			{
				GPasteSettingsWindow* _tmp16_;
				gboolean _tmp17_;
				gboolean _tmp18_;
				_tmp16_ = self->priv->window;
				_tmp17_ = gpaste_settings_main_get_synchronize_clipboards (self);
				_tmp18_ = _tmp17_;
				gpaste_settings_window_set_synchronize_clipboards (_tmp16_, _tmp18_);
				break;
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label5) ? _tmp2_label5 : (_tmp2_label5 = g_quark_from_static_string ("track-changes")))) {
		switch (0) {
			default:
			{
				GPasteSettingsWindow* _tmp19_;
				gboolean _tmp20_;
				gboolean _tmp21_;
				_tmp19_ = self->priv->window;
				_tmp20_ = gpaste_settings_main_get_track_changes (self);
				_tmp21_ = _tmp20_;
				gpaste_settings_window_set_track_changes (_tmp19_, _tmp21_);
				break;
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label6) ? _tmp2_label6 : (_tmp2_label6 = g_quark_from_static_string ("track-extension-state")))) {
		switch (0) {
			default:
			{
				GPasteSettingsWindow* _tmp22_;
				gboolean _tmp23_;
				gboolean _tmp24_;
				_tmp22_ = self->priv->window;
				_tmp23_ = gpaste_settings_main_get_track_extension_state (self);
				_tmp24_ = _tmp23_;
				gpaste_settings_window_set_track_extension_state (_tmp22_, _tmp24_);
				break;
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label7) ? _tmp2_label7 : (_tmp2_label7 = g_quark_from_static_string ("save-history")))) {
		switch (0) {
			default:
			{
				GPasteSettingsWindow* _tmp25_;
				gboolean _tmp26_;
				gboolean _tmp27_;
				_tmp25_ = self->priv->window;
				_tmp26_ = gpaste_settings_main_get_save_history (self);
				_tmp27_ = _tmp26_;
				gpaste_settings_window_set_save_history (_tmp25_, _tmp27_);
				break;
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label8) ? _tmp2_label8 : (_tmp2_label8 = g_quark_from_static_string ("trim-items")))) {
		switch (0) {
			default:
			{
				GPasteSettingsWindow* _tmp28_;
				gboolean _tmp29_;
				gboolean _tmp30_;
				_tmp28_ = self->priv->window;
				_tmp29_ = gpaste_settings_main_get_trim_items (self);
				_tmp30_ = _tmp29_;
				gpaste_settings_window_set_trim_items (_tmp28_, _tmp30_);
				break;
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label9) ? _tmp2_label9 : (_tmp2_label9 = g_quark_from_static_string ("min-text-item-size")))) {
		switch (0) {
			default:
			{
				GPasteSettingsWindow* _tmp31_;
				guint32 _tmp32_;
				guint32 _tmp33_;
				_tmp31_ = self->priv->window;
				_tmp32_ = gpaste_settings_main_get_min_text_item_size (self);
				_tmp33_ = _tmp32_;
				gpaste_settings_window_set_min_text_item_size (_tmp31_, _tmp33_);
				break;
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label10) ? _tmp2_label10 : (_tmp2_label10 = g_quark_from_static_string ("max-text-item-size")))) {
		switch (0) {
			default:
			{
				GPasteSettingsWindow* _tmp34_;
				guint32 _tmp35_;
				guint32 _tmp36_;
				_tmp34_ = self->priv->window;
				_tmp35_ = gpaste_settings_main_get_max_text_item_size (self);
				_tmp36_ = _tmp35_;
				gpaste_settings_window_set_max_text_item_size (_tmp34_, _tmp36_);
				break;
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label11) ? _tmp2_label11 : (_tmp2_label11 = g_quark_from_static_string ("keyboard-shortcut")))) {
		switch (0) {
			default:
			{
				GPasteSettingsWindow* _tmp37_;
				gchar* _tmp38_;
				gchar* _tmp39_;
				gchar* _tmp40_;
				_tmp37_ = self->priv->window;
				_tmp38_ = gpaste_settings_main_get_keyboard_shortcut (self);
				_tmp39_ = _tmp38_;
				_tmp40_ = _tmp39_;
				gpaste_settings_window_set_keyboard_shortcut (_tmp37_, _tmp40_);
				_g_free0 (_tmp40_);
				break;
			}
		}
	}
}


static void ___lambda0__g_settings_changed (GSettings* _sender, const gchar* key, gpointer self) {
	__lambda0_ (self, key);
}


GPasteSettingsMain* gpaste_settings_main_construct (GType object_type) {
	GPasteSettingsMain * self = NULL;
	GSettings* _tmp0_;
	GSettings* _tmp1_;
	self = (GPasteSettingsMain*) g_object_new (object_type, "application-id", "org.gnome.GPaste.Settings", NULL);
	g_signal_connect_object ((GApplication*) self, "activate", (GCallback) _gpaste_settings_main_init_g_application_activate, self, 0);
	_tmp0_ = g_settings_new ("org.gnome.GPaste");
	_g_object_unref0 (self->priv->settings);
	self->priv->settings = _tmp0_;
	_tmp1_ = self->priv->settings;
	g_signal_connect_object (_tmp1_, "changed", (GCallback) ___lambda0__g_settings_changed, self, 0);
	return self;
}


GPasteSettingsMain* gpaste_settings_main_new (void) {
	return gpaste_settings_main_construct (GPASTE_SETTINGS_TYPE_MAIN);
}


static void gpaste_settings_main_init (GPasteSettingsMain* self) {
	GPasteSettingsWindow* _tmp0_;
	GPasteSettingsWindow* _tmp1_;
	GPasteSettingsWindow* _tmp2_;
	g_return_if_fail (self != NULL);
	_tmp0_ = gpaste_settings_window_new ((GtkApplication*) self);
	_tmp1_ = g_object_ref_sink (_tmp0_);
	_g_object_unref0 (self->priv->window);
	self->priv->window = _tmp1_;
	_tmp2_ = self->priv->window;
	gtk_widget_show_all ((GtkWidget*) _tmp2_);
}


gint gpaste_settings_main_main (gchar** args, int args_length1) {
	gint result = 0;
	GtkSettings* _tmp0_ = NULL;
	GPasteSettingsMain* _tmp1_;
	GPasteSettingsMain* app;
	GPasteSettingsMain* _tmp5_;
	gint _tmp6_ = 0;
	GError * _inner_error_ = NULL;
	bindtextdomain (GETTEXT_PACKAGE, LOCALEDIR);
	bind_textdomain_codeset (GETTEXT_PACKAGE, "UTF-8");
	textdomain (GETTEXT_PACKAGE);
	gtk_init (&args_length1, &args);
	_tmp0_ = gtk_settings_get_default ();
	g_object_set (_tmp0_, "gtk-application-prefer-dark-theme", TRUE, NULL);
	_tmp1_ = gpaste_settings_main_new ();
	app = _tmp1_;
	{
		GPasteSettingsMain* _tmp2_;
		_tmp2_ = app;
		g_application_register ((GApplication*) _tmp2_, NULL, &_inner_error_);
		if (_inner_error_ != NULL) {
			goto __catch0_g_error;
		}
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		FILE* _tmp3_;
		const gchar* _tmp4_ = NULL;
		e = _inner_error_;
		_inner_error_ = NULL;
		_tmp3_ = stderr;
		_tmp4_ = _ ("Fail to register the gtk application.\n");
		fprintf (_tmp3_, "%s", _tmp4_);
		result = 1;
		_g_error_free0 (e);
		_g_object_unref0 (app);
		return result;
	}
	__finally0:
	if (_inner_error_ != NULL) {
		_g_object_unref0 (app);
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
		g_clear_error (&_inner_error_);
		return 0;
	}
	_tmp5_ = app;
	_tmp6_ = g_application_run ((GApplication*) _tmp5_, 0, NULL);
	result = _tmp6_;
	_g_object_unref0 (app);
	return result;
}


int main (int argc, char ** argv) {
	g_type_init ();
	return gpaste_settings_main_main (argv, argc);
}


guint32 gpaste_settings_main_get_max_history_size (GPasteSettingsMain* self) {
	guint32 result;
	GSettings* _tmp0_;
	GVariant* _tmp1_ = NULL;
	GVariant* _tmp2_;
	guint32 _tmp3_ = 0U;
	guint32 _tmp4_;
	g_return_val_if_fail (self != NULL, 0U);
	_tmp0_ = self->priv->settings;
	_tmp1_ = g_settings_get_value (_tmp0_, "max-history-size");
	_tmp2_ = _tmp1_;
	_tmp3_ = g_variant_get_uint32 (_tmp2_);
	_tmp4_ = _tmp3_;
	_g_variant_unref0 (_tmp2_);
	result = _tmp4_;
	return result;
}


static GVariant* _variant_new1 (guint32 value) {
	return g_variant_ref_sink (g_variant_new_uint32 (value));
}


void gpaste_settings_main_set_max_history_size (GPasteSettingsMain* self, guint32 value) {
	GSettings* _tmp0_;
	guint32 _tmp1_;
	GVariant* _tmp2_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->settings;
	_tmp1_ = value;
	_tmp2_ = _variant_new1 (_tmp1_);
	g_settings_set_value (_tmp0_, "max-history-size", _tmp2_);
	g_object_notify ((GObject *) self, "max-history-size");
}


guint32 gpaste_settings_main_get_max_displayed_history_size (GPasteSettingsMain* self) {
	guint32 result;
	GSettings* _tmp0_;
	GVariant* _tmp1_ = NULL;
	GVariant* _tmp2_;
	guint32 _tmp3_ = 0U;
	guint32 _tmp4_;
	g_return_val_if_fail (self != NULL, 0U);
	_tmp0_ = self->priv->settings;
	_tmp1_ = g_settings_get_value (_tmp0_, "max-displayed-history-size");
	_tmp2_ = _tmp1_;
	_tmp3_ = g_variant_get_uint32 (_tmp2_);
	_tmp4_ = _tmp3_;
	_g_variant_unref0 (_tmp2_);
	result = _tmp4_;
	return result;
}


static GVariant* _variant_new2 (guint32 value) {
	return g_variant_ref_sink (g_variant_new_uint32 (value));
}


void gpaste_settings_main_set_max_displayed_history_size (GPasteSettingsMain* self, guint32 value) {
	GSettings* _tmp0_;
	guint32 _tmp1_;
	GVariant* _tmp2_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->settings;
	_tmp1_ = value;
	_tmp2_ = _variant_new2 (_tmp1_);
	g_settings_set_value (_tmp0_, "max-displayed-history-size", _tmp2_);
	g_object_notify ((GObject *) self, "max-displayed-history-size");
}


guint32 gpaste_settings_main_get_element_size (GPasteSettingsMain* self) {
	guint32 result;
	GSettings* _tmp0_;
	GVariant* _tmp1_ = NULL;
	GVariant* _tmp2_;
	guint32 _tmp3_ = 0U;
	guint32 _tmp4_;
	g_return_val_if_fail (self != NULL, 0U);
	_tmp0_ = self->priv->settings;
	_tmp1_ = g_settings_get_value (_tmp0_, "element-size");
	_tmp2_ = _tmp1_;
	_tmp3_ = g_variant_get_uint32 (_tmp2_);
	_tmp4_ = _tmp3_;
	_g_variant_unref0 (_tmp2_);
	result = _tmp4_;
	return result;
}


static GVariant* _variant_new3 (guint32 value) {
	return g_variant_ref_sink (g_variant_new_uint32 (value));
}


void gpaste_settings_main_set_element_size (GPasteSettingsMain* self, guint32 value) {
	GSettings* _tmp0_;
	guint32 _tmp1_;
	GVariant* _tmp2_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->settings;
	_tmp1_ = value;
	_tmp2_ = _variant_new3 (_tmp1_);
	g_settings_set_value (_tmp0_, "element-size", _tmp2_);
	g_object_notify ((GObject *) self, "element-size");
}


gboolean gpaste_settings_main_get_primary_to_history (GPasteSettingsMain* self) {
	gboolean result;
	GSettings* _tmp0_;
	gboolean _tmp1_ = FALSE;
	g_return_val_if_fail (self != NULL, FALSE);
	_tmp0_ = self->priv->settings;
	_tmp1_ = g_settings_get_boolean (_tmp0_, "primary-to-history");
	result = _tmp1_;
	return result;
}


void gpaste_settings_main_set_primary_to_history (GPasteSettingsMain* self, gboolean value) {
	GSettings* _tmp0_;
	gboolean _tmp1_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->settings;
	_tmp1_ = value;
	g_settings_set_boolean (_tmp0_, "primary-to-history", _tmp1_);
	g_object_notify ((GObject *) self, "primary-to-history");
}


gboolean gpaste_settings_main_get_synchronize_clipboards (GPasteSettingsMain* self) {
	gboolean result;
	GSettings* _tmp0_;
	gboolean _tmp1_ = FALSE;
	g_return_val_if_fail (self != NULL, FALSE);
	_tmp0_ = self->priv->settings;
	_tmp1_ = g_settings_get_boolean (_tmp0_, "synchronize-clipboards");
	result = _tmp1_;
	return result;
}


void gpaste_settings_main_set_synchronize_clipboards (GPasteSettingsMain* self, gboolean value) {
	GSettings* _tmp0_;
	gboolean _tmp1_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->settings;
	_tmp1_ = value;
	g_settings_set_boolean (_tmp0_, "synchronize-clipboards", _tmp1_);
	g_object_notify ((GObject *) self, "synchronize-clipboards");
}


gboolean gpaste_settings_main_get_track_changes (GPasteSettingsMain* self) {
	gboolean result;
	GSettings* _tmp0_;
	gboolean _tmp1_ = FALSE;
	g_return_val_if_fail (self != NULL, FALSE);
	_tmp0_ = self->priv->settings;
	_tmp1_ = g_settings_get_boolean (_tmp0_, "track-changes");
	result = _tmp1_;
	return result;
}


void gpaste_settings_main_set_track_changes (GPasteSettingsMain* self, gboolean value) {
	GSettings* _tmp0_;
	gboolean _tmp1_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->settings;
	_tmp1_ = value;
	g_settings_set_boolean (_tmp0_, "track-changes", _tmp1_);
	g_object_notify ((GObject *) self, "track-changes");
}


gboolean gpaste_settings_main_get_track_extension_state (GPasteSettingsMain* self) {
	gboolean result;
	GSettings* _tmp0_;
	gboolean _tmp1_ = FALSE;
	g_return_val_if_fail (self != NULL, FALSE);
	_tmp0_ = self->priv->settings;
	_tmp1_ = g_settings_get_boolean (_tmp0_, "track-extension-state");
	result = _tmp1_;
	return result;
}


void gpaste_settings_main_set_track_extension_state (GPasteSettingsMain* self, gboolean value) {
	GSettings* _tmp0_;
	gboolean _tmp1_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->settings;
	_tmp1_ = value;
	g_settings_set_boolean (_tmp0_, "track-extension-state", _tmp1_);
	g_object_notify ((GObject *) self, "track-extension-state");
}


gboolean gpaste_settings_main_get_save_history (GPasteSettingsMain* self) {
	gboolean result;
	GSettings* _tmp0_;
	gboolean _tmp1_ = FALSE;
	g_return_val_if_fail (self != NULL, FALSE);
	_tmp0_ = self->priv->settings;
	_tmp1_ = g_settings_get_boolean (_tmp0_, "save-history");
	result = _tmp1_;
	return result;
}


void gpaste_settings_main_set_save_history (GPasteSettingsMain* self, gboolean value) {
	GSettings* _tmp0_;
	gboolean _tmp1_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->settings;
	_tmp1_ = value;
	g_settings_set_boolean (_tmp0_, "save-history", _tmp1_);
	g_object_notify ((GObject *) self, "save-history");
}


gboolean gpaste_settings_main_get_trim_items (GPasteSettingsMain* self) {
	gboolean result;
	GSettings* _tmp0_;
	gboolean _tmp1_ = FALSE;
	g_return_val_if_fail (self != NULL, FALSE);
	_tmp0_ = self->priv->settings;
	_tmp1_ = g_settings_get_boolean (_tmp0_, "trim-items");
	result = _tmp1_;
	return result;
}


void gpaste_settings_main_set_trim_items (GPasteSettingsMain* self, gboolean value) {
	GSettings* _tmp0_;
	gboolean _tmp1_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->settings;
	_tmp1_ = value;
	g_settings_set_boolean (_tmp0_, "trim-items", _tmp1_);
	g_object_notify ((GObject *) self, "trim-items");
}


guint32 gpaste_settings_main_get_min_text_item_size (GPasteSettingsMain* self) {
	guint32 result;
	GSettings* _tmp0_;
	GVariant* _tmp1_ = NULL;
	GVariant* _tmp2_;
	guint32 _tmp3_ = 0U;
	guint32 _tmp4_;
	g_return_val_if_fail (self != NULL, 0U);
	_tmp0_ = self->priv->settings;
	_tmp1_ = g_settings_get_value (_tmp0_, "min-text-item-size");
	_tmp2_ = _tmp1_;
	_tmp3_ = g_variant_get_uint32 (_tmp2_);
	_tmp4_ = _tmp3_;
	_g_variant_unref0 (_tmp2_);
	result = _tmp4_;
	return result;
}


static GVariant* _variant_new4 (guint32 value) {
	return g_variant_ref_sink (g_variant_new_uint32 (value));
}


void gpaste_settings_main_set_min_text_item_size (GPasteSettingsMain* self, guint32 value) {
	GSettings* _tmp0_;
	guint32 _tmp1_;
	GVariant* _tmp2_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->settings;
	_tmp1_ = value;
	_tmp2_ = _variant_new4 (_tmp1_);
	g_settings_set_value (_tmp0_, "min-text-item-size", _tmp2_);
	g_object_notify ((GObject *) self, "min-text-item-size");
}


guint32 gpaste_settings_main_get_max_text_item_size (GPasteSettingsMain* self) {
	guint32 result;
	GSettings* _tmp0_;
	GVariant* _tmp1_ = NULL;
	GVariant* _tmp2_;
	guint32 _tmp3_ = 0U;
	guint32 _tmp4_;
	g_return_val_if_fail (self != NULL, 0U);
	_tmp0_ = self->priv->settings;
	_tmp1_ = g_settings_get_value (_tmp0_, "max-text-item-size");
	_tmp2_ = _tmp1_;
	_tmp3_ = g_variant_get_uint32 (_tmp2_);
	_tmp4_ = _tmp3_;
	_g_variant_unref0 (_tmp2_);
	result = _tmp4_;
	return result;
}


static GVariant* _variant_new5 (guint32 value) {
	return g_variant_ref_sink (g_variant_new_uint32 (value));
}


void gpaste_settings_main_set_max_text_item_size (GPasteSettingsMain* self, guint32 value) {
	GSettings* _tmp0_;
	guint32 _tmp1_;
	GVariant* _tmp2_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->settings;
	_tmp1_ = value;
	_tmp2_ = _variant_new5 (_tmp1_);
	g_settings_set_value (_tmp0_, "max-text-item-size", _tmp2_);
	g_object_notify ((GObject *) self, "max-text-item-size");
}


gchar* gpaste_settings_main_get_keyboard_shortcut (GPasteSettingsMain* self) {
	gchar* result;
	GSettings* _tmp0_;
	gchar* _tmp1_ = NULL;
	g_return_val_if_fail (self != NULL, NULL);
	_tmp0_ = self->priv->settings;
	_tmp1_ = g_settings_get_string (_tmp0_, "keyboard-shortcut");
	result = _tmp1_;
	return result;
}


void gpaste_settings_main_set_keyboard_shortcut (GPasteSettingsMain* self, const gchar* value) {
	GSettings* _tmp0_;
	const gchar* _tmp1_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->settings;
	_tmp1_ = value;
	g_settings_set_string (_tmp0_, "keyboard-shortcut", _tmp1_);
	g_object_notify ((GObject *) self, "keyboard-shortcut");
}


static void gpaste_settings_main_class_init (GPasteSettingsMainClass * klass) {
	gpaste_settings_main_parent_class = g_type_class_peek_parent (klass);
	g_type_class_add_private (klass, sizeof (GPasteSettingsMainPrivate));
	G_OBJECT_CLASS (klass)->get_property = _vala_gpaste_settings_main_get_property;
	G_OBJECT_CLASS (klass)->set_property = _vala_gpaste_settings_main_set_property;
	G_OBJECT_CLASS (klass)->finalize = gpaste_settings_main_finalize;
	g_object_class_install_property (G_OBJECT_CLASS (klass), GPASTE_SETTINGS_MAIN_MAX_HISTORY_SIZE, g_param_spec_uint ("max-history-size", "max-history-size", "max-history-size", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), GPASTE_SETTINGS_MAIN_MAX_DISPLAYED_HISTORY_SIZE, g_param_spec_uint ("max-displayed-history-size", "max-displayed-history-size", "max-displayed-history-size", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), GPASTE_SETTINGS_MAIN_ELEMENT_SIZE, g_param_spec_uint ("element-size", "element-size", "element-size", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), GPASTE_SETTINGS_MAIN_PRIMARY_TO_HISTORY, g_param_spec_boolean ("primary-to-history", "primary-to-history", "primary-to-history", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), GPASTE_SETTINGS_MAIN_SYNCHRONIZE_CLIPBOARDS, g_param_spec_boolean ("synchronize-clipboards", "synchronize-clipboards", "synchronize-clipboards", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), GPASTE_SETTINGS_MAIN_TRACK_CHANGES, g_param_spec_boolean ("track-changes", "track-changes", "track-changes", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), GPASTE_SETTINGS_MAIN_TRACK_EXTENSION_STATE, g_param_spec_boolean ("track-extension-state", "track-extension-state", "track-extension-state", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), GPASTE_SETTINGS_MAIN_SAVE_HISTORY, g_param_spec_boolean ("save-history", "save-history", "save-history", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), GPASTE_SETTINGS_MAIN_TRIM_ITEMS, g_param_spec_boolean ("trim-items", "trim-items", "trim-items", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), GPASTE_SETTINGS_MAIN_MIN_TEXT_ITEM_SIZE, g_param_spec_uint ("min-text-item-size", "min-text-item-size", "min-text-item-size", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), GPASTE_SETTINGS_MAIN_MAX_TEXT_ITEM_SIZE, g_param_spec_uint ("max-text-item-size", "max-text-item-size", "max-text-item-size", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), GPASTE_SETTINGS_MAIN_KEYBOARD_SHORTCUT, g_param_spec_string ("keyboard-shortcut", "keyboard-shortcut", "keyboard-shortcut", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
}


static void gpaste_settings_main_instance_init (GPasteSettingsMain * self) {
	self->priv = GPASTE_SETTINGS_MAIN_GET_PRIVATE (self);
}


static void gpaste_settings_main_finalize (GObject* obj) {
	GPasteSettingsMain * self;
	self = GPASTE_SETTINGS_MAIN (obj);
	_g_object_unref0 (self->priv->settings);
	_g_object_unref0 (self->priv->window);
	G_OBJECT_CLASS (gpaste_settings_main_parent_class)->finalize (obj);
}


GType gpaste_settings_main_get_type (void) {
	static volatile gsize gpaste_settings_main_type_id__volatile = 0;
	if (g_once_init_enter (&gpaste_settings_main_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (GPasteSettingsMainClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) gpaste_settings_main_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (GPasteSettingsMain), 0, (GInstanceInitFunc) gpaste_settings_main_instance_init, NULL };
		GType gpaste_settings_main_type_id;
		gpaste_settings_main_type_id = g_type_register_static (GTK_TYPE_APPLICATION, "GPasteSettingsMain", &g_define_type_info, 0);
		g_once_init_leave (&gpaste_settings_main_type_id__volatile, gpaste_settings_main_type_id);
	}
	return gpaste_settings_main_type_id__volatile;
}


static void _vala_gpaste_settings_main_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	GPasteSettingsMain * self;
	self = GPASTE_SETTINGS_MAIN (object);
	switch (property_id) {
		case GPASTE_SETTINGS_MAIN_MAX_HISTORY_SIZE:
		g_value_set_uint (value, gpaste_settings_main_get_max_history_size (self));
		break;
		case GPASTE_SETTINGS_MAIN_MAX_DISPLAYED_HISTORY_SIZE:
		g_value_set_uint (value, gpaste_settings_main_get_max_displayed_history_size (self));
		break;
		case GPASTE_SETTINGS_MAIN_ELEMENT_SIZE:
		g_value_set_uint (value, gpaste_settings_main_get_element_size (self));
		break;
		case GPASTE_SETTINGS_MAIN_PRIMARY_TO_HISTORY:
		g_value_set_boolean (value, gpaste_settings_main_get_primary_to_history (self));
		break;
		case GPASTE_SETTINGS_MAIN_SYNCHRONIZE_CLIPBOARDS:
		g_value_set_boolean (value, gpaste_settings_main_get_synchronize_clipboards (self));
		break;
		case GPASTE_SETTINGS_MAIN_TRACK_CHANGES:
		g_value_set_boolean (value, gpaste_settings_main_get_track_changes (self));
		break;
		case GPASTE_SETTINGS_MAIN_TRACK_EXTENSION_STATE:
		g_value_set_boolean (value, gpaste_settings_main_get_track_extension_state (self));
		break;
		case GPASTE_SETTINGS_MAIN_SAVE_HISTORY:
		g_value_set_boolean (value, gpaste_settings_main_get_save_history (self));
		break;
		case GPASTE_SETTINGS_MAIN_TRIM_ITEMS:
		g_value_set_boolean (value, gpaste_settings_main_get_trim_items (self));
		break;
		case GPASTE_SETTINGS_MAIN_MIN_TEXT_ITEM_SIZE:
		g_value_set_uint (value, gpaste_settings_main_get_min_text_item_size (self));
		break;
		case GPASTE_SETTINGS_MAIN_MAX_TEXT_ITEM_SIZE:
		g_value_set_uint (value, gpaste_settings_main_get_max_text_item_size (self));
		break;
		case GPASTE_SETTINGS_MAIN_KEYBOARD_SHORTCUT:
		g_value_take_string (value, gpaste_settings_main_get_keyboard_shortcut (self));
		break;
		default:
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
		break;
	}
}


static void _vala_gpaste_settings_main_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	GPasteSettingsMain * self;
	self = GPASTE_SETTINGS_MAIN (object);
	switch (property_id) {
		case GPASTE_SETTINGS_MAIN_MAX_HISTORY_SIZE:
		gpaste_settings_main_set_max_history_size (self, g_value_get_uint (value));
		break;
		case GPASTE_SETTINGS_MAIN_MAX_DISPLAYED_HISTORY_SIZE:
		gpaste_settings_main_set_max_displayed_history_size (self, g_value_get_uint (value));
		break;
		case GPASTE_SETTINGS_MAIN_ELEMENT_SIZE:
		gpaste_settings_main_set_element_size (self, g_value_get_uint (value));
		break;
		case GPASTE_SETTINGS_MAIN_PRIMARY_TO_HISTORY:
		gpaste_settings_main_set_primary_to_history (self, g_value_get_boolean (value));
		break;
		case GPASTE_SETTINGS_MAIN_SYNCHRONIZE_CLIPBOARDS:
		gpaste_settings_main_set_synchronize_clipboards (self, g_value_get_boolean (value));
		break;
		case GPASTE_SETTINGS_MAIN_TRACK_CHANGES:
		gpaste_settings_main_set_track_changes (self, g_value_get_boolean (value));
		break;
		case GPASTE_SETTINGS_MAIN_TRACK_EXTENSION_STATE:
		gpaste_settings_main_set_track_extension_state (self, g_value_get_boolean (value));
		break;
		case GPASTE_SETTINGS_MAIN_SAVE_HISTORY:
		gpaste_settings_main_set_save_history (self, g_value_get_boolean (value));
		break;
		case GPASTE_SETTINGS_MAIN_TRIM_ITEMS:
		gpaste_settings_main_set_trim_items (self, g_value_get_boolean (value));
		break;
		case GPASTE_SETTINGS_MAIN_MIN_TEXT_ITEM_SIZE:
		gpaste_settings_main_set_min_text_item_size (self, g_value_get_uint (value));
		break;
		case GPASTE_SETTINGS_MAIN_MAX_TEXT_ITEM_SIZE:
		gpaste_settings_main_set_max_text_item_size (self, g_value_get_uint (value));
		break;
		case GPASTE_SETTINGS_MAIN_KEYBOARD_SHORTCUT:
		gpaste_settings_main_set_keyboard_shortcut (self, g_value_get_string (value));
		break;
		default:
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
		break;
	}
}



